var exec = require('wing/exec'),
    wing = require('wing');
var indoorLocation = {
    startLocation: function(params, callback) {
        if (typeof params === 'object') {
            params = JSON.stringify(params);
        }

        exec(3, "indoorLocation", ["startLocation", params], function(result) {
            if (result && result.success) {
                callback(result.data);
            }
        });

    },
    stopLocation: function() {
        return exec(1, "indoorLocation", ["stopLocation"]);
    }
};
wing.addNavigator("indoorLocation", indoorLocation);

module.exports = indoorLocation;