
var exec = require('wing/exec'), wing = require('wing');

var media = {
	choosevideo : function(parames, callback){
		if (typeof parames === 'object') {
			parames = JSON.stringify(parames);
		};
		return exec(3,"media",["choosevideo",parames], function(result){
			var obj = {};

			if(result && result.data){
				if ( result.data.success ) {
					obj = result.data;
					
				} else {
					obj.success = 'false';
					obj.errorCode = result.data.errorCode;
				}
				callback(obj);
			}
		
		});
	},
	playvideo : function(videoUrl, callback) {
        return exec(3, "media", ["playvideo", videoUrl], function(result){
			var obj = {};

			if(result && result.data){
				var obj = result.data;
				callback(obj);
			}
		});
	}
};

wing.addNavigator("media", media);
module.exports = media;
