
var exec = require('wing/exec'), wing = require('wing');

var upgrade = {
    upgrade:function(productName, onSuccess, onFailure, onProgress){
        exec(3, "upgrade", [productName], function(result){
            if(result && result.data){
                var action = result.data.status;
                var product = result.data.productName;
                if(action == "onSuccess"){
                    onSuccess(productName);
                }else if(action == "onProgress"){
                    onProgress(productName, result.data.value);
                }else if(action == "onFailure"){
                    onFailure(productName);
                }
            }
        });
    }
};

wing.addNavigator("upgrade", upgrade);

module.exports = upgrade;