var exec = require('wing/exec'), wing = require('wing');


var v5tool = {
    hasShortCut: function(params){
        if(typeof params === 'object'){
            params = JSON.stringify(params);
        }
        var data = exec(0,"v5tool",["hasShortCut", params]);
        if(data && data.success && data.data.hasShortCut=="true"){
            return true;
        }
        return false;
    },
    createShortCut : function(params) {
        if(typeof params === 'object'){
            params = JSON.stringify(params);
        }
        exec(1, "v5tool", [ "createShortCut",params],function(result){
            if(result && result.success ){
                //alert("创建快捷方式成功");
            }
        });
    },
    saveContactInfo : function(params){
        if(typeof params === 'object'){
            params = JSON.stringify(params);
        }
        exec(2, "v5tool", [ "saveContactInfo",params],function(result){
            if(result && result.success ){
                //alert("创建快捷方式成功");
            }
        });
    },
    getDeviceID : function(){
    	return exec(0,"v5tool",["getDeviceID"]);
    },
    getUserID : function(){
    	return exec(0,"v5tool",["getUserID"]);
    },
    getAppVersion : function(){
    	return exec(0,"v5tool",["getAppVersion"]);
    },
    getPhoneType : function(){
    	return exec(0,"v5tool",["getPhoneType"]); 
    },
    getServerTime : function(){
    	return exec(0,"v5tool",["getServerTime"]); 
    },
    getImei : function(){
    	return exec(0,"v5tool",["getImei"]);
    },
    getCacheKey : function(params){
        return exec(0,"v5tool",["getCacheKey",params]);
    },
    putCacheKey : function(params){
        return exec(0,"v5tool",["putCacheKey",params]);
    },
    shake : function(params){
        params = String(params);
        return exec(0,"v5tool",["shake",params]);
    },
    isBuyer : function(callback){
        exec(1,"v5tool",["isBuyer"],function(result){
             if(result && result.data) {
             		callback(result.data.isbuyer);
             }
        });
    }
};

wing.addNavigator("v5tool", v5tool);
module.exports = v5tool;

