var exec = require('wing/exec'), wing = require('wing');

var alipay1688 = {
	checkpwd : function(orderId, sceneType, tip, callback) {
		exec(3, "alipay1688", [ orderId, sceneType, tip ], function(result) {
			if (callback && result && result.data) {
				var success = result.data.success;
				var token = result.data.token;
				var uuid = result.data.uuid;
				callback(success, token, uuid);
			}
		});
	},
	authAccount : function(callback) {
		exec(3, "alipay1688", ["authAccount"], function(result) {
			if (callback && result && result.data) {
				callback(result.data);
			}
		});
	}
};

wing.addNavigator("alipay1688", alipay1688);

module.exports = alipay1688;