var exec = require('wing/exec'), wing = require('wing');

var h5storage = {
    get:function(key){
        var data = exec(0, "h5storage", ["get",key]);
        return data.data;
    },
    save:function(key, value){
       var data = exec(0, "h5storage", ["save",key,value]); 
       return data.success;
    },
    
    remove:function(key){
       var data =  exec(0, "h5storage", ["remove",key]); 
       return data.success;
    }
};

wing.addNavigator("h5storage",h5storage);

module.exports = h5storage;