var exec = require('wing/exec'), wing = require('wing');

var uthandler = {
    pageEnter : function(pagename){
	 
		return exec(0,"uthandler",["pageEnter",pagename]);
	 
	},
	pageLeave : function(pagename){
	
		return exec(0,"uthandler",["pageLeave",pagename]);
	},
	pageProperties : function(pagename,content){
	    if(typeof content === 'object'){
	    	content = JSON.stringify(content);
	    } 
		return exec(0,"uthandler",["pageProperties",pagename, content]);
	},
	listPositionItemSelected : function(name,position){
		return exec(0,"uthandler",["listPositionItemSelected",name,position]);
	},
	getCamelCaseUrl : function(url){
		return exec(0,"uthandler",["getCamelCaseUrl",url]);
	},
	pageButtonClick : function(v5type){
		return exec(0,"uthandler",["pageButtonClick",v5type]);
	},
	pageButtonClick : function(v4type,v5type){
		return exec(0,"uthandler",["pageButtonClick",v4type,v5type]);
	},
	pageButtonClick : function(v4type,v5type,content){
		return exec(0,"uthandler",["pageButtonClick",v4type,v5type,content]);
	},
	pageButtonClickExt : function(v5type,content){
		if(typeof content === 'object'){
	    	content = JSON.stringify(content);
	    } 
		return exec(0,"uthandler",["pageButtonClickExt",v5type,content]);
	},
	eventTimeBegin : function(eventId,params){
		return exec(0,"uthandler",["eventTimeBegin",eventId,params]);
	},
	eventTimeEnd : function(eventId,params){
		return exec(0,"uthandler",["eventTimeEnd",eventId,params]);
	}
};

wing.addNavigator("uthandler", uthandler);

module.exports = uthandler;
